export const TableColumns = [
  { key: "code", title: "订单生成单号" },
  {
    key: "status",
    title: "状态",
    dictName: "purchase_task_status",
  },
  { key: "demandCode", title: "需求单号" },
  { key: "materialName", title: "物料" },
  { key: "materialCode", title: "物料编码" },
  // { key: "material", title: "物料" },
  { key: "materialDesc", title: "物料描述" },
  { key: "manufacturerName", title: "生产厂家" },
  { key: "puQty", title: "采购数量" },
  { key: "executeQty", title: "已执行数量" },
  { key: "residueQty", title: "未执行数量" },
  {
    key: "priceType",
    title: "价格类型",
    dictName: "sys_price_type",
  },
  { key: "puUnitName", title: "采购单位" },
  // { key: "id", title: "主键" },

  // { key: "manufacturer", title: "生产厂家" },
  // { key: "buyer", title: "采购员" },
  { key: "buyerName", title: "采购员" },
  // { key: "supplier", title: "建议供应商" },
  { key: "supplierName", title: "建议供应商" },
  // { key: "puOrg", title: "采购组织" },
  {
    key: "puOrgName",
    title: "采购组织",
  },
  // { key: "currency", title: "币种" },
  { key: "currencyName", title: "币种" },
  // { key: "billYpe", title: "交易类型" },
  { key: "source", title: "需求来源" },
  // { key: "customer", title: "收货客户" },
  { key: "customerName", title: "收货客户" },
  { key: "assignSupplierName", title: "指定供应商" },
  // { key: "puUnit", title: "采购单位" },

  { key: "demandDate", title: "需求时间" },
  { key: "projectName", title: "项目名称" },
  // { key: "demandPersonal", title: "需求人" },
  {
    key: "demandPersonalName",
    title: "需求人",
  },
  // { key: "demandOrg", title: "需求组织" },
  { key: "demandOrgName", title: "需求组织" },
  // { key: "demandDept", title: "需求部门" },
  { key: "demandDeptName", title: "需求部门" },
  {
    key: "isBack",
    title: "是否退回",
    dictName: "sys_yes_no",
  },
  { key: "baskCause", title: "退回原因" },
  { key: "backDate", title: "退回日期" },
  // { key: "assignSupplier", title: "指定供应商" },
  // { key: "unit", title: "单位" },
  { key: "unitName", title: "单位" },
  // { key: "file", title: "附件" },
  // { key: "tenantId", title: "租户号" },
  // { key: "revision", title: "乐观锁" },
  // { key: "delFlag", title: "删除标记" },
];

export const SearchColumns = [
  {
    item: {
      key: "classIds",
      title: "物料分类",
    },
    attr: {
      component: "dr-popover-tree-select",
      referName: "MATERIALCLASSIFY_PARAM",
      multiple: true,
      valueKey: "id",
    },
  },
  {
    item: {
      key: "materialCodes",
      title: "物料编码",
    },
    attr: {
      component: "el-popover-multiple-select-v2",
      valueKey: "code",
      referName: "MATERIAL_PARAM",
    },
  },
  {
    item: {
      key: "materialDesc",
      title: "物料描述",
    },
    attr: {
      component: "el-input",
    },
  },
  {
    item: {
      key: "code",
      title: "单据号",
    },
    attr: {
      component: "el-input",
    },
  },
  {
    item: {
      key: "puOrgIds",
      title: "采购组织",
    },
    attr: {
      component: "el-popover-multiple-select-v2",
      referName: "ORG_PARAM",
      valueKey: "id",
    },
  },
  {
    item: {
      key: "status",
      title: "状态",
    },
    attr: {
      component: "el-select",
      dictName: "purchase_task_status",
      clearable: true,
    },
  },
  {
    item: {
      key: "date",
      title: "创建时间",
    },
    attr: {
      component: "el-date-picker",
      type: "daterange",
      unlinkPanels: true,
      rangeSeparator: "至",
      valueFormat: "yyyy-MM-dd",
      endPlaceholder: "结束日期",
      startPlaceholder: "开始日期",
      pickerOptions: pickerOptions,
      value: [],
    },
  },
  {
    item: {
      key: "buyers",
      title: "采购员",
    },
    attr: {
      component: "el-popover-multiple-select-v2",
      referName: "CONTACTS_PARAM",
      valueKey: "code",
    },
  },
  {
    item: {
      key: "manufacturerName",
      title: "生产厂家",
    },
    attr: {
      component: "el-input",
    },
  },
  {
    item: {
      key: "customerName",
      title: "收货客户",
    },
    attr: {
      component: "el-input",
    },
  },
  {
    item: {
      key: "documentsCodes",
      title: "需求来源",
      span: 12,
    },
    attr: {
      component: "el-input",
      placeholder: "请输入来源单据号，多个用,分隔",
    },
  },
];

const pickerOptions = {
  shortcuts: [
    {
      text: "昨天",
      onClick(picker) {
        const end = new Date();
        const start = new Date();
        start.setTime(start.getTime() - 3600 * 1000 * 24 * 1);
        picker.$emit("pick", [start, end]);
      },
    },
    {
      text: "最近三天",
      onClick(picker) {
        const end = new Date();
        const start = new Date();
        start.setTime(start.getTime() - 3600 * 1000 * 24 * 3);
        picker.$emit("pick", [start, end]);
      },
    },
    {
      text: "最近一周",
      onClick(picker) {
        const end = new Date();
        const start = new Date();
        start.setTime(start.getTime() - 3600 * 1000 * 24 * 7);
        picker.$emit("pick", [start, end]);
      },
    },
    {
      text: "最近一个月",
      onClick(picker) {
        const end = new Date();
        const start = new Date();
        start.setTime(start.getTime() - 3600 * 1000 * 24 * 30);
        picker.$emit("pick", [start, end]);
      },
    },
    {
      text: "最近三个月",
      onClick(picker) {
        const end = new Date();
        const start = new Date();
        start.setTime(start.getTime() - 3600 * 1000 * 24 * 90);
        picker.$emit("pick", [start, end]);
      },
    },
    {
      text: "最近半年",
      onClick(picker) {
        const end = new Date();
        const start = new Date();
        start.setTime(start.getTime() - 3600 * 1000 * 24 * 180);
        picker.$emit("pick", [start, end]);
      },
    },
  ],
};
